Вопрос Msgstr "Не указан исполняемый файл." Ubuntu SDK Unity8


Работала вчера вечером, но сегодня, когда я снова начал, я не смог запустить unit8 из QtCreator / UbuntuSDK. После создания и запуска он просто заявляет: Msgstr "Не указан исполняемый файл."

FYI; Это ветвь, которую я импортировал из lp: unity8 в QtCreator. Никаких изменений не было сделано

Где и как указать исполняемый файл?


2
2018-03-29 07:53


происхождения


Я просто страдаю от той же проблемы. Я напишу отчет об ошибке. - user205301
bugs.launchpad.net/ubuntu/+source/ubuntu-touch-meta/+bug/... - user205301
По крайней мере, я знаю, что я не сумасшедший; Я долгое время спрашивал ВСЕ о IRC, и никто не дал мне даже столько, сколько знал, что происходит. В любом случае, я пошел вперед и подтвердил ошибку. - Akiva


ответы:


Попробуй это:

  1. Идти к Инструменты> Параметры> Сборка и запуск> Qt-версии,
  2. Проверьте, есть ли там указанная версия.
  3. Если нет, выберите Добавить... и выберите /usr/lib/i386-linux-gnu/qt5/bin/qmake и попытаться построить снова.

Заметка: Пожалуйста, настройте вышеуказанный путь в соответствии с вашей установкой, особенно i386-linux-gnu, что может быть чем-то вроде amd64-linux-gnu если вы находитесь в 64-битной системе.


1
2017-08-09 17:17



вероятно /usr/lib/x86_64-linux-gnu/qt5/bin/qmake для 64 бит - Sadik


Ваш принятый ответ не сработал для меня. Обходной путь, предложенный здесь https://bugs.launchpad.net/ubuntu/+source/ubuntu-touch-meta/+bug/1299441 должен был удалить CMakeLists.txt.user каждый раз перед запуском qtcreator.

Но обновление qtcreator до версии 3.1 работало для меня.


1
2018-03-16 22:01